@use "@/styles/index" as *;

.imageIcon {
  position: relative;
  border-radius: 8px;
  width: 18rem;
  height: 18rem;
  object-fit: cover;
}
.link1 {
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
}
.link {
  border-bottom: 1px solid #143080;
  box-sizing: border-box;
  height: 15px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  @include desktop {
    margin-top: 12px;
  }
}
.title {
  align-self: stretch;
  position: relative;
  font-size: 18px;
  line-height: 120%;
  font-weight: 600;
  color: #1d1d1d;
}
.writtenBy {
  align-self: stretch;
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  color: #4d4c4b;
}
.content {
  margin-top: 12px;
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 6px;
}
.card {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 12px;
}
.imageIcon1 {
  position: relative;
  border-radius: 8px;
  width: 18rem;
  height: 12rem;
  object-fit: cover;
}
.imageIcon2 {
  position: relative;
  border-radius: 8px;
  width: 37.5rem;
  height: 25rem;
  object-fit: cover;
}
.title2 {
  align-self: stretch;
  position: relative;
  font-size: 24px;
  line-height: 120%;
  font-weight: 600;
  color: #1d1d1d;
}
.frameParent {
  background-color: #0c1d4d;
  width: 100%;
  height: 433px;
  display: flex;
  flex-direction: column;
  padding: 60px 71px 40px;
  box-sizing: border-box;
  align-items: center;
  justify-content: flex-start;
  gap: 48px;
}
.highlight {
  position: relative;
  width: 100%;
  height: 799px;
  text-align: center;
  font-size: 20px;
  color: #ebebeb;
  font-family: "Inter Tight";
}

@include mobile {
  .card {
    width: 100%;
    max-width: 358px;
  }
  .content {
    margin-top: 0px;
  }
  .imageIcon,
  .imageIcon1,
  .imageIcon2 {
    width: 100%;
    height: auto;
  }
  .title2 {
    font-size: 18px;
  }
  .frameParent {
    height: 344px;
    padding: 40px 0 0;
    gap: 40px;
  }
  .highlight {
    height: 2880px;
  }
}
